@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/

/*モバイルヘッダーの文字と背景の色を変える*/
.search-menu-button.menu-button,
.navi-menu-button.menu-button{
	background-color: #ffeeff;
	color: #000;
}

.logo-menu-button.menu-button{
	background-color: #ffeeff;
	color: #000;
}

/*モバイルヘッダーの文字と背景の色を変える追加CSS*/
.menu-button-in{
	color: #000!important;
	background-color: #ffeeff!important;
}

/*モバイルスライドインメニューをカスタマイズ*/
.navi-menu-content{
	background-color: rgba(255,238,255,0.5);
}

.menu-drawer a{
	font-size: 1.1em;/*文字の大きさ*/
	color: #000;/*文字の色*/
	height: 3em;/*行の高さ*/
}

.menu-drawer a:hover{
	color: rgba(0,0,0,0.7);
	background-color: rgba(255,238,255,0);
}

/* 固定ページの不要情報を非表示 */
.page .date-tags, /*投稿日・更新日*/
.page .author-info, /*投稿者情報*/
.page .eye-catch-wrap { /*アイキャッチ*/
display: none;
}

/*TOPページのウィジェットのプロフィールコメントを中央寄せにする方法*/
 .nwa .author-box .author-description {
     text-align: center;
}

/*TOPページのウィジェットのSNSフォローボタンカスタマイズ方法*/
.author-box .sns-follow-buttons a.follow-button{
  width: 32px;
  height: 32px;
  font-size: 24px;
} 
/* アイコン */
.nwa .author-box .author-thumb{
	width: 110px;
}
.nwa .author-box .author-thumb img{
	box-shadow: 0 1px 3px rgba(0,0,0,.18)
}

/* お問い合わせ送信ボタンのカスタマイズ　*/
.wpcf7-submit {
  border: solid 2px #ffeeff!important; /*枠線*/
  border-radius: 6px!important; /*角丸コーナー*/
  font-weight:bold!important; /*文字強調*/
  font-size: 18px!important; /*フォントサイズ*/
  color: #000!important; /*フォントカラー*/
  background-color: #ffeeff!important; /*背景色*/
  letter-spacing: 30px!important; /*文字間隔*/
}
.wpcf7-submit:hover{
  color: #000!important; /*フォントカラー*/
  background-color: #ffccff!important; /*背景色*/
  transition: all 0.5s ease!important; /*アニメーション*/
}

/*サイドバー追尾目次*/
.sidebar-scroll{
  top:15px !important;
}
.sidebar h3{
  font-size:0.9em;
  padding: 7px 12px;
}
.sidebar .widget_toc{
   box-shadow: 0 2px 10px rgba(0, 0, 0, .08);
}
.sidebar .toc-widget-box{
  margin-top: -0.9em;
}
.sidebar .toc{
  padding: 0;
  width:100%;
}
.sidebar .toc-content {
  overflow-y: scroll;
  max-height: 390px;
  background: #fff;
  padding: 0.5em 1.5em;
}
.sidebar .toc li{
  line-height:1.6;
  margin-bottom: 1em;
  font-size:0.85rem;
  color:#3cb8f1;
}
.sidebar .toc-content > ol  > li,.sidebar .toc-content > ul  > li{
  font-weight:600;
  padding-left: 0.5em;
}
.sidebar .toc-content a{
  letter-spacing:0.5px;
}
.sidebar .toc .toc-list ul, .sidebar .toc .toc-list ol {
  margin: 1em 0;
  list-style-type:none;
  font-weight:500;
}
@media screen and (max-width: 768px){
  .sidebar-menu-button .widget_toc{
    display:none;
  }
}
/*サイドバー追尾目次*/


/*ブログカードに「続きを読む」追加*/
.internal-blogcard::after{
	content: '続きを読む \00bb'; /* 内部リンク右下枠の文言 */
	position: absolute;
	bottom: .5rem;
	right: 1rem;
	font-size: 70%;
	background-color: #ffeeff; /* 内部リンク右下枠の背景色 */
	padding: .4em 3em;
	font-weight: bold;
	color: #000; /* 内部リンク右下枠の文字色 */
	border-radius: 2px;
}
/*ブログカードに「続きを読む」追加*/

/*通知エリアをトップページのみ表示*/
body:not(.front-top-page) .notice-area {
	display: none;
}
/*通知エリアをトップページのみ表示*/

/*アピールエリア画像をレスポンシブ調整*/
#appeal {
    height: calc(100vw * calc(800 / 1280));
}


/*フロント固定ページのタイトルを非表示*/
.home.page .entry-title{ display: none; } 


/*必要ならばここにコードを書く*/

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}
